OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_DegreeOfFreedomMember Class Reference

Representation of member for STEP SELECT type CurveElementFreedom
.

`#include <StepFEA_DegreeOfFreedomMember.hxx>`

Inheritance diagram for StepFEA_DegreeOfFreedomMember:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_DegreeOfFreedomMember ()
| Empty constructor .
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Returns True if has name .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns set name .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Set name .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_CString name) const
| Tells if the name of a SelectMember matches a given one; .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | mycase

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_DegreeOfFreedomMember::StepFEA_DegreeOfFreedomMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_DegreeOfFreedomMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepFEA_DegreeOfFreedomMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepFEA_DegreeOfFreedomMember::Matches | ( | const Standard_CString | name | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepFEA_DegreeOfFreedomMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepFEA_DegreeOfFreedomMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectNamed.

## Field Documentation

Standard_Integer StepFEA_DegreeOfFreedomMember::mycase`[private]`

The documentation for this class was generated from the following file:

- StepFEA_DegreeOfFreedomMember.hxx